function setDependencies(this, aDependencies)
%SETDEPENDENCIES sets the XML file dependencies associated with the 
%   importer object.
%   SETDEPENDENCIES(IMPORTER, DEPENDENCIES) sets the XML file dependencies
%   DEPENDENCIES associated with the arxml.importer object IMPORTER. 
%
%   DEPENDENCIES can be a cell array of strings (for a list of dependencies),
%   a char array (for a single dependency) or the empty array [] (for removing any 
%   dependency). 
% 
%   Note:
%      All Atomic-Software-Components described in the XML file 
%      dependencies are ignored. 
%
%   See also  arxml.importer.getDependencies arxml.importer.getFile
%       arxml.importer.setFile

%   Copyright 2007-2008 The MathWorks, Inc.

if iscellstr(aDependencies) || ischar(aDependencies) ||...
        isempty(aDependencies)
    
    p_setdependencies(this, aDependencies);

else
    DAStudio.warning('RTW:autosar:badImporterDependencies');
end
